Summary:	Certificate status monitor and PKI enrollment client
Name:		certmonger
Version:	0.78.4
Release:	3
License:	GPLv3+
Group:		System/Base
Url:		http://certmonger.fedorahosted.org
Source0:	http://fedorahosted.org/released/certmonger/%{name}-%{version}.tar.gz
Source1:	http://fedorahosted.org/released/certmonger/%{name}-%{version}.tar.gz.sig
Patch0:		1001-Remove-rekey-feature.patch
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(tevent)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(xmlrpc)
Requires(post,preun,postun):	systemd

%description
Certmonger is a service which is primarily concerned with getting your
system enrolled with a certificate authority (CA) and keeping it enrolled.

%files -f %{name}.lang
%doc README LICENSE STATUS doc/*.txt
%{_bindir}/certmaster-getcert
%{_bindir}/getcert
%{_bindir}/ipa-getcert
%{_bindir}/local-getcert
%{_bindir}/selfsign-getcert
%{_datadir}/dbus-1/services/certmonger.service
%{_mandir}/man1/certmaster-getcert.1*
%{_mandir}/man1/getcert.1*
%{_mandir}/man1/getcert-*.1*
%{_mandir}/man1/ipa-getcert.1*
%{_mandir}/man1/local-getcert.1*
%{_mandir}/man1/selfsign-getcert.1*
%{_mandir}/man5/certmonger.conf.5*
%{_mandir}/man8/certmonger.8*
%{_mandir}/man8/certmonger-*.8*
%{_libexecdir}/%{name}
%{_localstatedir}/lib/certmonger
%{_sbindir}/certmonger
%ghost %dir %{_localstatedir}/run/certmonger
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/certmonger.conf
%dir %{_sysconfdir}/certmonger
%config(noreplace) %{_sysconfdir}/certmonger/certmonger.conf
%{_tmpfilesdir}/certmonger.conf
%{_unitdir}/certmonger.service
%{_datadir}/dbus-1/system-services/org.fedorahosted.certmonger.service

%post
%tmpfiles_create %{_tmpfilesdir}/certmonger.conf
%systemd_post certmonger.service

%postun
%systemd_postun certmonger.service

%preun
%systemd_preun certmonger.service

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--enable-now \
	--enable-pie \
	--enable-systemd \
	--enable-tmpfiles \
	--with-homedir=%{_localstatedir}/run/certmonger \
	--with-tmpdir=%{_localstatedir}/run/certmonger

# For some reason, some versions of xmlrpc-c-config in Fedora and RHEL just
# tell us about libxmlrpc_client, but we need more.  Work around.
%make XMLRPC_LIBS="-lxmlrpc_client -lxmlrpc_util -lxmlrpc"

%install
%makeinstall_std
mkdir -p %{buildroot}%{_localstatedir}/lib/certmonger/{cas,requests}
install -m755 -d %{buildroot}%{_localstatedir}/run/certmonger

%find_lang %{name}


%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.78.4-3
- (0b26327) Bump release


